Get Lobby Page URL For Player

Using this method, an Operator can retrieve the Lobby Page URL for a Specific Player by sending brand code, group code, and player token to this API.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request

API URL : {NagaGamesAPIDomain}/client/lobby-url
HTTP Method : GET

URL Parameters

Parameter NameDescriptionData TypeRequired
brandCodeAuto-generated code of the brand in Naga Games’s databaseStringYes
groupCodeAuto-generated code of the group in Naga Games’s databaseStringYes
playerTokenUnique Token Code of the player sent by OperatorStringYes

Example

curl --request GET \
     --url 'https://api.stg.game.topplatform.online/client/lobby-url?brandCode=sneo&groupCode=dpae&playerToken=45b8afde7f854681044f36b0c7e2085c' \
     --header 'accept: application/json'

Response

Response Data

Parameter NameDescriptionData Type
urlThe url of lobby page for specified playerString

Example

Success Response Example (HTTP status code 200)

{
    "url": "https://lobby.stg.game.topplatform.online/?brandCode=sneo&groupCode=dpae&playerToken=45b8afde7f854681044f36b0c7e2085c"
}

Failure Response Example (HTTP status code 400)

{
  "message": "Brand Not Found",
  "code": 1201,
  "timestamp": "2023-07-24T12:49:20.684Z"
}
Query Params
string
required
Defaults to sneo

Auto-generated code of the brand in Naga Games database

string
required
Defaults to dpae

Auto-generated code of the brand in Naga Game database

string
required
Defaults to 45b8afde7f854681044f36b0c7e2085c

Unique token of the player

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json